<style>
    #search {
        border-radius: 5px;
        border: 2px solid rgb(240, 240, 240);
        height: 2em;
        width: 30em;
        font-family: 'Open Sans';
        font-size: 1em;
    }

    .input-wrapper {
        width: 30em;
        display: inline-block;
        position: relative;
    }

    .wee {
        position: absolute;
        margin-top: 0.5em;
        right: 1.5em;
    }

    /* .input-wrapper:after {
      font-family: 'FontAwesome';
      content: '\f274';
      position: absolute;
      right: 16px;
  } */

    .green {
        color: #30C381;
    }

    .red {
        color: #BD2130;
    }

    .pointer {
        cursor: pointer;
    }

    tr.expanded {
        border: 1px solid #000;
        height: 10em;
    }

    #search-bar {
        border-bottom: 1px solid rgb(208, 208, 208);
        padding: 1em;
        display: grid;
        grid-template-columns: 85% 15%;
    }

    #show-more-applications {
        text-align: center;
        cursor: pointer;
    }

    #show-more-applications:hover {
        background: rgb(0, 0, 90);
        color: rgb(208, 208, 208);
    }

    .cutt {
        overflow: hidden;
        overflow-x: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
</style>

<ng-template #greenCheck><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span></ng-template>
<ng-template #yellowCheck><span style="color: #E3B700"><fa-icon [icon]="faPauseCircle"></fa-icon></span></ng-template>
<ng-template #redCheck><span style="color: #BD2130"><fa-icon [icon]="faExclamationCircle"></fa-icon></span></ng-template>

<div id="applicant-grid-div">
    <div id="search-bar">
        <div class="input-wrapper">
            <fa-icon [icon]="faSearch" ngClass="wee"></fa-icon>
            <input type="text" id="search" placeholder="Sök (namn, personnummer, handläggare)" [(ngModel)]="searchValue"
                (ngModelChange)="searchValueChanged($event)">
        </div>

    </div>
    <digi-table af-variation="secondary">
        <table class="applicant-table">
            <thead>
                <tr>
                    <th class="column-header" scope="col" *ngFor="let column of columnsDisplayName; let i = index">
                        <grid-filter-overlay [column]="column" [canBeFiltered]="filterableColumns.includes(column.key)"
                            [currentFilters]="filters" (filterSelect)="filterSelect($event)"
                            (closeAllOtherFilters)="closeFilters($event)"
                            [shouldClose]="shouldCloseFilters.asObservable()" [indexNumber]="i"></grid-filter-overlay>
                    </th>
                </tr>
            </thead>
            <tbody>

                <tr *ngFor="let application of applications; let in = index" (click)="expandRow(application, $event)"
                    class="pointer" [attr.tabindex]="in + 5">
                    <td *ngFor="let column of columnsDisplayName; let i = index" class="cutt">
                        <span *ngIf="column.extraKey !== ''; then tBlock else eBlock"></span>

                        <ng-template #tBlock>
                            <span *ngIf="application[column.extraKey]; then greenCheck else redCheck"></span>
                            {{ application[column.key] || '--'}}
                        </ng-template>

                        <ng-template #eBlock>
                            <span *ngIf="i === 0; then boldBlock else notBoldBlock"></span>
                            <ng-template #boldBlock>
                                <b>{{ application[column.key] }}</b>
                            </ng-template>
                            <ng-template #notBoldBlock>
                                <span *ngIf="application[column.key] === 'Ej EU' ||
                                             application[column.key] === 'Behörig'; then greenCheck"></span>
                                <span *ngIf="application[column.key] === 'Obehandlad (--)' ||
                                             application[column.key] === '--' ||
                                             application[column.key] === 'Vilande' ||
                                             application[column.key] === 'Utreds'; then yellowCheck"></span>
                                <span *ngIf="application[column.key] === 'EU' ||
                                             application[column.key] === 'Sverige' ||
                                             application[column.key] === 'Norden' ||
                                             application[column.key] === 'Inaktuell'; then redCheck"></span>
                                {{ application[column.key] }}
                            </ng-template>
                        </ng-template>

                    </td>
                </tr>

            </tbody>
        </table>
    </digi-table>

    <div *ngIf="canShowMoreApplications" id="show-more-applications" (click)="showMoreApplications($event)">
        <span>Visa fler <fa-icon [icon]="faAngleDown"></fa-icon></span>
    </div>
    <applicant-popover *ngIf="selectedApplication && showApplicantPopover" [applicant]="selectedApplicant"
        [application]="selectedApplication" [position]="popOverPosition" [width]="popOverWidth" [modalPipe]="modalPipe"
        [transformOrigin]="popOverTransformOrigin" (close)="closeApplicantPopup($event)"></applicant-popover>
</div>
